﻿using System.Windows;
using System.Diagnostics;

namespace IsApplicationRunning
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            CheckForIsRunningApplication();
        }
        private void CheckForIsRunningApplication()
        {
            //Get Current Process Name
            string strProcessName = Process.GetCurrentProcess().ProcessName;

            //Get All the running processes with same name
            Process[] strAllProcesses = Process.GetProcessesByName(strProcessName);

            //If process exists in task manager, kill current process with show message
            if (strAllProcesses.Length > 1)
            {
                MessageBox.Show("Application is already running.");
                Application.Current.Shutdown();
            }
        }
    }
}
